[[!template id=plugin name=jscalendar author="[[Louis|spalax]]"]]

# Jscalendar

Jscalendar is a javascript equivalent to the [[calendar|plugins/calendar]] plugin.

## Description

Here are some differences compared to this latter plugin.

* Pros
  * No need to rebuild the page containing the calendar each time day changes, or
    a page (indexed by the calendar) is added, changed or deleted. This is
    particularly useful if you want to have this calendar in the sidebar.
  * Handles the case where several pages appear the same day: a popup appear to let user choose the day he wants.
  * Smooth navigation among months.
* Neutral
  * Most of options are defined in Ikiwiki's setup files instead of the options
    of the directive.
* Cons
  * As a consequence, every calendar of the wiki must index the same set of pages.
  * Javascript :( .

## Usage

### Directive

    \[[!jscalendar type="month" ]]

### Setup file

It being javascript rather than markdown, most of the configuration must be done in the IkiWiki configuration file rather than in the directive

    'archivebase' => "evenements/calendrier",
    'archive_pagespec' => "evenements/liste/* and ! evenements/liste/*/*",
    'week_start_day' => 1,
    'month_link' => 1,

## Example

You can see this plugin in action on [[our website|http://www.gresille.org]]. To see what happens when several pages happens on the same day, check the 15th of March 2012.

Code and documentation can be found here : [[https://atelier.gresille.org/projects/gresille-ikiwiki/wiki/Jscalendar]]

-- Louis
